@import "@assets/themes/themify.utils.scss";
@import "~/themes.scss";

.Drawer {
  position: fixed;
  height: 100%;
  top: 0;
  right: 0;

  &.Drawer-enter {
    opacity: 0;
    display: block;
  }

  &.Drawer-enter-active {
    opacity: 1;
    transition: opacity 400ms;
  }

  &.Drawer-exit {
    opacity: 1;
    display: none;
  }

  &.Drawer-exit-active {
    opacity: 0;
    transition: opacity 400ms;
  }

  .drawer-wrapper {
    position: absolute;
    top: 0;
    width: 100%;
    height: 100%;
    box-shadow: -2px 0 2px 0 #000;
  }

  main {
    font-size: 14px;
    padding-top: 20px;
    padding-bottom: 20px;
    padding-left: 40px;
    padding-right: 40px;
  }

  header {
    font-size: 24px;
    padding: 20px;
    box-shadow: 0 8px 8px -4px #000;
  }
}

@include themify("Drawer", $themes) {
  font-family: themed("font-family");

  .drawer-wrapper {
    background-color: themed("panel-background");
  }

  header,
  main {
    color: themed("panel-text");
  }
}
